# PSF-LoginServer - master - net.psforever.objects.serverobject.PlanetSideServerObject
PSF - LoginServer - master - net.psforever.objects.serverobject.PlanetSideServerObject
Keywords: PSF LoginServer master net.psforever.objects.serverobject.PlanetSideServerObject

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
-  package aura
  Definition Classes
    serverobject
-  package containable
  Definition Classes
    serverobject
-  package damage
  Definition Classes
    serverobject
-  package deploy
  Definition Classes
    serverobject
-  package doors
  Definition Classes
    serverobject
-  package environment
  Definition Classes
    serverobject
-  package generator
  Definition Classes
    serverobject
-  package hackable
  Definition Classes
    serverobject
-  package llu
  Definition Classes
    serverobject
-  package locks
  Definition Classes
    serverobject
-  package mblocker
  Definition Classes
    serverobject
-  package mount
  Definition Classes
    serverobject
-  package pad
  Definition Classes
    serverobject
-  package painbox
  Definition Classes
    serverobject
-  package repair
  Definition Classes
    serverobject
-  package resourcesilo
  Definition Classes
    serverobject
-  package shuttle
  Definition Classes
    serverobject
-  package structures
  Definition Classes
    serverobject
-  package terminals
  Definition Classes
    serverobject
-  package transfer
  Definition Classes
    serverobject
-  package tube
  Definition Classes
    serverobject
-  package turret
  Definition Classes
    serverobject
-  package zipline
  Definition Classes
    serverobject
- CommonMessages
- PlanetSideServerObject
- ServerObjectBuilder

c

net.psforever.objects.serverobject

# PlanetSideServerObject 

###
Companion object PlanetSideServerObject

#### abstract class PlanetSideServerObject extends PlanetSideGameObject with FactionAffinity with ZoneAware

An object layered on top of the standard game object class that maintains an internal `ActorRef`. A measure of synchronization can be managed using this `Actor` as a "controlling agent."

Source
  PlanetSideServerObject.scala

Linear Supertypes
ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any
Known Subclasses
FakeNtuSource, BoomerDeployable, ExplosiveDeployable, LocalLockerItem, LocalProjectile, Player, SensorDeployable, ShieldGeneratorDeployable, TelepadDeployable, TrapDeployable, TurretDeployable, Vehicle, BaseDeployable, Deployable, LockerContainer, Door, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, AmenityOwner, Building, WarpGate, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility, InteractsWithZone

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlanetSideServerObject
2. ZoneAware
3. FactionAffinity
4. PlanetSideGameObject
5. WorldEntity
6. IdentifiableEntity
7. Identifiable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PlanetSideServerObject()

### Abstract Value Members

1.  abstract def Definition: ObjectDefinition
   Definition Classes
     PlanetSideGameObject
2.  abstract def Faction: types.PlanetSideEmpire.Value
   Definition Classes
     FactionAffinity

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

6.  def Continent: String
   Definition Classes
     ZoneAware
7.  def Continent_=(zoneId: String): String

   Give the entity a custom `Zone` identifier.

   Give the entity a custom `Zone` identifier.

   zoneId

     the custom identifier of the `Zone` object

   returns

     the identifier of the `Zone` object

   Definition Classes
     ZoneAware
8.  def Destroyed: Boolean
   Definition Classes
     PlanetSideGameObject
9.  def Destroyed_=(state: Boolean): Boolean
   Definition Classes
     PlanetSideGameObject
10.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
11.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
12.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      FactionAffinity
13.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
14.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
15.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

16.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
17.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
18.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
19.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
20.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
21.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
22.  def ResetControl(): ActorRef
23.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
24.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
25.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
26.  def Zone: Zone
    Definition Classes
      ZoneAware
27.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
28.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
29.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
30.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
32.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
33.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
37.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
38.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped